Sci-Fi HUD

Conky

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

2
Score 72.2%
Description:

Resolution 1920x1080

pack it into the user folder and start conky_start
C

Met

11 months ago

PSchwarz: Other is the structure of your file.

Report

PSchwarz

11 months ago

The nice support folks at open weather sent me this but I don't know what to do with it. Maybe it will help you.

This link is for current weather data.

This one is for forecast:

http://api.openweathermap.org/data/2.5/forecast?id=5192726&appid=ed85595a7d82f64ac7222f4513594c4e

Best Regards,
Gushcho Maxim
Technical Support Engineer
OpenWeatherMap inc

Report

C

Met

11 months ago

I have one more tip. Is SUN Java on your computer?

Report

PSchwarz

11 months ago

pschwarz@pschwarz-MS-7693 ~ $ java --version
openjdk 10.0.1 2018-04-17
OpenJDK Runtime Environment (build 10.0.1+10-Ubuntu-3ubuntu1)
OpenJDK 64-Bit Server VM (build 10.0.1+10-Ubuntu-3ubuntu1, mixed mode)
pschwarz@pschwarz-MS-7693 ~ $

Report

C

Met

11 months ago

I always replace openjdk by default. Try to apply the Sun version.
http://tipsonubuntu.com/2016/07/31/install-oracle-java-8-9-ubuntu-16-04-linux-mint-18/

Report

PSchwarz

11 months ago

pschwarz@pschwarz-MS-7693 ~ $ javac -version
javac 1.8.0_181
pschwarz@pschwarz-MS-7693 ~ $

Report

C

Met

11 months ago

Does not it show?

Report

PSchwarz

11 months ago

It's the same as it was before I installed sun java.

Report

PSchwarz

11 months ago

pschwarz@pschwarz-MS-7693 ~ $ java -showversion
java version "1.8.0_181"
Java(TM) SE Runtime Environment (build 1.8.0_181-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.181-b13, mixed mode)

Report

C

Met

11 months ago

I checked it and showed it to you with your files. Did you install conky_all?

Report

C

Met

11 months ago

Even the jq package may not be installed. You asked?

Report

PSchwarz

11 months ago

Reading package lists... Done
Building dependency tree
Reading state information... Done
jq is already the newest version (1.5+dfsg-2).
The following packages were automatically installed and are no longer required:
libdbi1 librrd4 linux-headers-4.15.0-23 linux-headers-4.15.0-23-generic
linux-image-4.15.0-23-generic linux-modules-4.15.0-23-generic
linux-modules-extra-4.15.0-23-generic ntop-data python-bluez
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
pschwarz@pschwarz-MS-7693 ~ $

Report

PSchwarz

11 months ago

-------------------------------------
-- API Key
-------------------------------------
template6="ed85595a7d82f64ac7222f4513594c4e",


-------------------------------------
-- City ID
-------------------------------------
template7="5192726",


-------------------------------------
-- Temp Unit (default, metric, imperial)
-------------------------------------
template8="imperial",

Report

C

Met

11 months ago

If you start conkyt from console, will you get an error message?

Report

PSchwarz

11 months ago

conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: window type - normal
conky: drawing to created window (0x5600002)
conky: drawing to double buffer
conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: forked to background, pid is 24937
conky: window type - normal
conky: drawing to created window (0x5800002)
conky: drawing to double buffer
conky: forked to background, pid is 24938
conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: window type - normal
conky: drawing to created window (0x5a00002)
conky: drawing to double buffer
conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: forked to background, pid is 24939

conky: window type - normal
conky: drawing to created window (0x6000002)
conky: drawing to double buffer
conky: forked to background, pid is 24940



cp: cannot stat '/home/pschwarz/.conky/weather/null.png': No such file or directory
cp: cannot stat '/home/pschwarz/.conky/weather/null.png': No such file or directory
cp: cannot stat '/home/pschwarz/.conky/weather/null.png': No such file or directory
cp: cannot stat '/home/pschwarz/.conky/weather/null.png': No such file or directory
cp: cannot stat '/home/pschwarz/.conky/weather/null.png': No such file or directory
conky: can't open /sys/class/power_supply/BAT0/uevent: No such file or directory
conky: can't open /proc/acpi/battery/BAT0/state: No such file or directory
conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: window type - normal
conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: drawing to created window (0x6200002)
conky: drawing to double buffer
conky: window type - normal
conky: drawing to created window (0x6400002)
conky: forked to background, pid is 25083
conky: drawing to double buffer
conky: forked to background, pid is 25084
conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: desktop window (3c0002c) is subwindow of root window (5d6)
conky: window type - normal
conky: window type - normal
conky: drawing to created window (0x6800002)
conky: drawing to created window (0x6a00002)
conky: drawing to double buffer
conky: drawing to double buffer
conky: forked to background, pid is 25085
conky: forked to background, pid is 25086




sh: 1: nvidia-smi: not found
sh: 1: nvidia-smi: not found
sh: 1: sh: 1: kf5-config: not found
kf5-config: not found

Report

PSchwarz

11 months ago

oh and a neverending supply of this one

value retrieved from conky: 3626 is bigger than max: 3200, value is set to max.

Report

PSchwarz

11 months ago

this is the contents of forecast.json in .cache

{"cod":401, "message": "Invalid API key. Please see http://openweathermap.org/faq#error401 for more info."}

weather.json is normal.

Report

PSchwarz

11 months ago

when I rewrite the url for forcast and open it in a browser the output I get looks find but weather.rc gets an error about the API key. this is the link I'm using in the browser

http://api.openweathermap.org/data/2.5/weather?id=5192726&appid=ed85595a7d82f64ac7222f4513594c4e

Report

PSchwarz

11 months ago

ok I fixed the API error by removing daily from your url and made it this. it pulls data and puts it in forecast.json but conky doesn't display it.

${execi 300 l=${template9}; l=${l%%_*}; curl -s "api.openweathermap.org/data/2.5/forecast?APPID=${template6}&id=${template7}&cnt=5&units=${template8}&lang=$l" -o ~/.cache/forecast.json}\

Report

C

Met

11 months ago

I've also downloaded the Sci-Fi Hud - I'm working on a new one. First you did not want to download the weather.json file and a png. After about 10 minutes, however, he snapped himself up and showed the current status properly.

Report

PSchwarz

11 months ago

yes the current status works perfect. The forecast downloads but doesn't display.

Report

C

Met

11 months ago

I checked with your ID, and all the data is well visible. I also compared the webpage with the same values. Does not show anything or 0 are displayed?

Report

PSchwarz

11 months ago

zeros. https://imgur.com/gallery/UHkX5RX

Report

C

Met

11 months ago

change this
template9="hu_HU.UTF-8"
to me
template9="en_EN.UTF-8"

Report

PSchwarz

11 months ago

ok it's in English now but still zeros in the forecast.

Report

12345678910
5
product-maker PSchwarz Jul 23 2018 9 excellent
+
product-maker rewrite Nov 08 2017 9 excellent
!!!
product-maker xindelar Nov 05 2017 9 excellent
product-maker autocrosser1 Nov 05 2017 9 excellent
product-maker WillS Nov 04 2017 9 excellent
product-maker Count: 4 Rating: 5.0
File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
updated Nov 11 2017
added Nov 04 2017
downloads today
5
page views today 16